c*************************************************************
c....this subroutine reads in gps data 
      subroutine gdatgps(uot,udt,datdim,numdat,gpssn,stdev,d)

      integer uot, udt, datdim, numdat, i
      real stdev(datdim), d(datdim)
      real east, easts, north, norths, up, ups
      character*8 gpssn(2,datdim), sta1, sta2
      character*50 filnam

c......read input file name
      call getfile2(udt,'gps vector data file name','in',
     +               'formatted',filnam)
      write(uot,*)' '
      write(uot,*)'GPS Vector data file: ',filnam
c
c.....write header to output file
      write(uot,*)' '
      write(uot,10)
  10  format(2x,'station1',' - ','station2',2x,
     +      '   EAST   ','   +/-    ',
     +      '   NORTH  ','   +/-    ',
     +      '    UP    ','   +/-    ')
c
c.....read data 
      i=1

  20  read(udt,*,end=30) sta1,sta2,east,easts,north,norths,up,ups
      write(uot,50) sta1,sta2,east,easts,north,norths,up,ups
  50  format(1x,a8,1x,a8,4x,6(1x,f8.5,1x))

c.....east component
      gpssn(1,i) = sta1
      gpssn(2,i) = sta2
      d(i)       = east
      stdev(i)   = easts
      i=i+1

c.....north  component
      gpssn(1,i) = sta1
      gpssn(2,i) = sta2
      d(i)       = north
      stdev(i)   = norths
      i=i+1

      go to 20
  30  continue
      numdat=i-1
c
      write(uot,*) ' '
      write(uot,*) 'number of gps data = ',numdat
      close(unit=udt)
c
      if (numdat.gt.datdim) then
        print *,'number of data exceeds array dimension datdim'
        print *,'increase dimension of the data array'
        stop
      endif
c
      return
      end

